VannaVolgaInterpolation Class Reference

Vanna Volga interpolation between discrete points More...

`#include <ql/experimental/barrieroption/vannavolgainterpolation.hpp>`

Inheritance diagram for VannaVolgaInterpolation:
[legend]

## Public Member Functions

template<class I1 , class I2 >
| VannaVolgaInterpolation (const I1 &xBegin, const I1 &xEnd, const I2 &yBegin, Real spot, DiscountFactor dDiscount, DiscountFactor fDiscount, Time T)
Public Member Functions inherited from Interpolation
bool | empty () const
Real | operator() (Real x, bool allowExtrapolation=false) const
Real | primitive (Real x, bool allowExtrapolation=false) const
Real | derivative (Real x, bool allowExtrapolation=false) const
Real | secondDerivative (Real x, bool allowExtrapolation=false) const
Real | xMin () const
Real | xMax () const
bool | isInRange (Real x) const
void | update ()
Public Member Functions inherited from Extrapolator
void | enableExtrapolation (bool b=true)
| enable extrapolation in subsequent calls
void | disableExtrapolation (bool b=true)
| disable extrapolation in subsequent calls
bool | allowsExtrapolation () const
| tells whether extrapolation is enabled

## Additional Inherited Members

Public Types inherited from Interpolation
typedef Real | argument_type
typedef Real | result_type
Protected Member Functions inherited from Interpolation
void | checkRange (Real x, bool extrapolate) const
Protected Attributes inherited from Interpolation
boost::shared_ptr< Impl > | impl_

## Detailed Description

Vanna Volga interpolation between discrete points

## Constructor & Destructor Documentation

VannaVolgaInterpolation | ( | const I1 & | xBegin,
|  | const I1 & | xEnd,
|  | const I2 & | yBegin,
|  | Real | spot,
|  | DiscountFactor | dDiscount,
|  | DiscountFactor | fDiscount,
|  | Time | T
| ) |  |

Precondition
  the \( x \) values must be sorted.